# Fes

A lightweight, static, and opinionated microframework.

## Usage

This is the `fes new <?>` output
```lua
local fes = require("fes")
local site = fes.fes()

site:h1("Hello, World!")

return site
```

This can be ran with `fes run <project>` where `<project>` is the location of the website.

## Examples

See `examples/` for different features, `canonical/` contains the best practices for this microframework.

## Build

```sh
git clone https://git.vxserver.dev/fSD/fes.git
cd fes

go build .
./fes run examples/hello-world # if this works install

go install fes
```

## Documentation

Run `fes run doc` for the documentation website or goto [docs.vxserver.dev](https://docs.vxserver.dev)

## License

ISC License

Copyright (C) 2025 fSD

See `COPYING`
